Futures
Concurrency
Collaboration diagram for Futures:

## Classes

class | std::future_error
struct | std::is_error_code_enum< future_errc >

## Enumerations

enum | std::future_errc { future_already_retrieved, promise_already_satisfied, no_state, broken_promise }
enum | std::future_status { ready, timeout, deferred }
enum | std::launch { async, deferred }

## Functions

template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (launch __policy, _Fn &&__fn, _Args &&...__args)
template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (_Fn &&__fn, _Args &&...__args)
const error_category & | std::future_category () noexcept
error_code | std::make_error_code (future_errc __errc) noexcept
error_condition | std::make_error_condition (future_errc __errc) noexcept
constexpr launch | std::operator& (launch __x, launch __y)
launch & | std::operator&= (launch &__x, launch __y)
constexpr launch | std::operator^ (launch __x, launch __y)
launch & | std::operator^= (launch &__x, launch __y)
constexpr launch | std::operator| (launch __x, launch __y)
launch & | std::operator|= (launch &__x, launch __y)
constexpr launch | std::operator~ (launch __x)

## Detailed Description

Classes for futures support.

## Enumeration Type Documentation

enum std::future_errc

strong

Error code for futures.

Definition at line 64 of file future.

enum std::future_status

strong

Status code for futures.

Definition at line 163 of file future.

enum std::launch

strong

Launch code for futures.

Definition at line 126 of file future.

## Function Documentation

const error_category& std::future_category | ( |  | ) |

noexcept

Points to a statically-allocated object derived from error_category.

Referenced by std::make_error_code(), and std::make_error_condition().

error_code std::make_error_code | ( | future_errc | __errc | ) |

inlinenoexcept

Overload for make_error_code.

Definition at line 82 of file future.

References std::future_category().

error_condition std::make_error_condition | ( | future_errc | __errc | ) |

inlinenoexcept

Overload for make_error_condition.

Definition at line 87 of file future.

References std::future_category().